GitHub Pull Requests
curl --request GET \
--url https://api.invezo.com/v1/developer/github/pull_requests \
--header 'x-invezo-api-key: <api-key>'import requests
url = "https://api.invezo.com/v1/developer/github/pull_requests"
headers = {"x-invezo-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-invezo-api-key': '<api-key>'}};
fetch('https://api.invezo.com/v1/developer/github/pull_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invezo.com/v1/developer/github/pull_requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-invezo-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invezo.com/v1/developer/github/pull_requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-invezo-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invezo.com/v1/developer/github/pull_requests")
.header("x-invezo-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invezo.com/v1/developer/github/pull_requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-invezo-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "OK",
"request_id": "",
"symbol": "BTC",
"result_count": 5000,
"data": [
{
"t": 1608854400,
"v": 20341
},
{
"t": 1608940800,
"v": 20351
},
...
]
}
Developer
GitHub Pull Requests
Developers create a pull request when they are ready to begin the process of merging new code changes with the main project repository. Watching pull requests is a good way to monitor how much a repository is changing.
GET
/
v1
/
developer
/
github
/
pull_requests
GitHub Pull Requests
curl --request GET \
--url https://api.invezo.com/v1/developer/github/pull_requests \
--header 'x-invezo-api-key: <api-key>'import requests
url = "https://api.invezo.com/v1/developer/github/pull_requests"
headers = {"x-invezo-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-invezo-api-key': '<api-key>'}};
fetch('https://api.invezo.com/v1/developer/github/pull_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invezo.com/v1/developer/github/pull_requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-invezo-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invezo.com/v1/developer/github/pull_requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-invezo-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invezo.com/v1/developer/github/pull_requests")
.header("x-invezo-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invezo.com/v1/developer/github/pull_requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-invezo-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "OK",
"request_id": "",
"symbol": "BTC",
"result_count": 5000,
"data": [
{
"t": 1608854400,
"v": 20341
},
{
"t": 1608940800,
"v": 20351
},
...
]
}
Query Parameters
sort the results by timestamp. asc will return results in ascending order
(oldest to newest), desc will return results in descending order (newest to
oldest). default value is asc
{
"status": "OK",
"request_id": "",
"symbol": "BTC",
"result_count": 5000,
"data": [
{
"t": 1608854400,
"v": 20341
},
{
"t": 1608940800,
"v": 20351
},
...
]
}

